SparseFile.h File Reference

Contains functions controlling the loading of sparse fields. More...

`#include <boost/scoped_ptr.hpp>`
`#include <deque>`
`#include <list>`
`#include <vector>`
`#include <hdf5.h>`
`#include "Exception.h"`
`#include "Hdf5Util.h"`
`#include "OgawaFwd.h"`
`#include "SparseDataReader.h"`
`#include "Traits.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | SparseFile::CacheBlock
class | SparseFile::FileReferences
class | SparseFile::Reference< Data_T >
class | SparseFileManager

## Namespaces

namespace | Sparse
| Namespace for sparse field specifics.
namespace | SparseFile

## Macros

#define | F3D_MUTEX_ARRAY_SIZE 1000
#define | F3D_NO_BLOCKS_ARRAY 1
#define | F3D_SHORT_MUTEX_ARRAY 1
#define | USE_SHPTR 0

## Detailed Description

Contains functions controlling the loading of sparse fields.

Definition in file SparseFile.h.

## Macro Definition Documentation

## F3D_SHORT_MUTEX_ARRAY

#define F3D_SHORT_MUTEX_ARRAY 1

Definition at line 64 of file SparseFile.h.

Referenced by SparseFile::Reference< Data_T >::memSize().

## F3D_MUTEX_ARRAY_SIZE

#define F3D_MUTEX_ARRAY_SIZE 1000

Definition at line 65 of file SparseFile.h.

Referenced by SparseFile::Reference< Data_T >::operator=(), and SparseFile::Reference< Data_T >::setNumBlocks().

## F3D_NO_BLOCKS_ARRAY

#define F3D_NO_BLOCKS_ARRAY 1

Definition at line 66 of file SparseFile.h.

Referenced by SparseFile::Reference< Data_T >::memSize().

## USE_SHPTR

#define USE_SHPTR 0

Definition at line 111 of file SparseFile.h.